zabbix_export:
  version: '5.2'
  date: '2020-09-30T06:52:29Z'
  groups:
    -
      name: Templates
    -
      name: 'Zabbix servers'
  templates:
    -
      template: TEMPLATE_Agent_IPMI
      name: TEMPLATE_Agent_IPMI
      groups:
        -
          name: Templates
      discovery_rules:
        -
          name: 'TEMPLATE Rule'
          key: 'vfs.file.contents[/home/larisa/Documents/Testing/DiscoveryRuleFiles/discovery1.txt]'
          delay: 1s
          host_prototypes:
            -
              host: 'TEMPLATE_Custom_Agent_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Custom_Agent_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                - {  }
            -
              host: 'TEMPLATE_Custom_JMX_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Custom_JMX_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: JMX
                  port: '12345'
            -
              host: 'TEMPLATE_Custom_SNMPv2_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Custom_SNMPv2_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              templates:
                -
                  name: 'Template Module Generic SNMP'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: SNMP
                  ip: 192.168.3.7
                  port: '161'
                  details:
                    community: '{$SNMP_COMMUNITY}'
            -
              host: 'TEMPLATE_Custom_SNMPv3_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Custom_SNMPv3_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              custom_interfaces: 'YES'
              interfaces:
                -
                  type: SNMP
                  ip: 192.168.3.209
                  port: '161'
                  details:
                    version: SNMPV3
                    securityname: zabbix
                    securitylevel: AUTHPRIV
                    authpassphrase: '{$PASS1}'
                    privpassphrase: '{$PASS2}'
            -
              host: 'TEMPLATE_Inerit_JMX_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Inerit_JMX_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
            -
              host: 'TEMPLATE_Inherit_Agent_Proto_Host_{#KEY}'
              name: 'TEMPLATE_Inherit_Agent_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
            -
              host: 'TEMPLATE_Inherit_IPMI_Host_Proto_{#KEY}'
              name: 'TEMPLATE_Inherit_IPMI_Host_Proto_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
    -
      template: TEMPLATE_JMX
      name: TEMPLATE_JMX
      groups:
        -
          name: Templates
      discovery_rules:
        -
          name: 'TEMPLATE Rule'
          key: 'vfs.file.contents[/home/larisa/Documents/Testing/DiscoveryRuleFiles/discovery1.txt]'
          delay: 1s
          host_prototypes:
            -
              host: 'Inherit_JMX_Proto_Host_{#KEY}'
              name: 'Inherit_JMX_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
    -
      template: TEMPLATE_SNMPv2
      name: TEMPLATE_SNMPv2
      templates:
        -
          name: 'Template Module Generic SNMP'
      groups:
        -
          name: Templates
      discovery_rules:
        -
          name: 'TEMPLATE Rule'
          key: 'vfs.file.contents[/home/larisa/Documents/Testing/DiscoveryRuleFiles/discovery1.txt]'
          delay: 1s
          host_prototypes:
            -
              host: 'Inherit_SNMPv2_Proto_Host_{#KEY}'
              name: 'Inherit_SNMPv2_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
              templates:
                -
                  name: 'Template Module Generic SNMP'
                -
                  name: 'Template Module Interfaces Simple SNMP'
    -
      template: TEMPLATE_SNMPv3
      name: TEMPLATE_SNMPv3
      groups:
        -
          name: Templates
      discovery_rules:
        -
          name: 'TEMPLATE Rule'
          key: 'vfs.file.contents[/home/larisa/Documents/Testing/DiscoveryRuleFiles/discovery1.txt]'
          delay: 1s
          host_prototypes:
            -
              host: 'Inherit_SNMPv2_Proto_Host_{#KEY}'
              name: 'Inherit_SNMPv2_Proto_Host_{#KEY}'
              group_links:
                -
                  group:
                    name: 'Zabbix servers'
